# Face Masker

## CLI Arguments

### Face Occluder Model

Choose the model responsible for the occlusion mask.

Argument: `--face-occluder-model`

Default: `xseg_1`

Choices:&#x20;

* `many`
* `xseg_1`
* `xseg_2`
* `xseg_3`

Example: `--face-occluder-model xseg_2`

### Face Parser Model

Choose the model responsible for the region mask.

Argument: `--face-parser-model`

Default: `bisenet_resnet_34`

Choices:&#x20;

* `bisenet_resnet_18`
* `bisenet_resnet_34`

Example: `--face-parser-model bisenet_resnet_18`

### Face Mask Types

Mix and match different face mask types.

Argument: `--face-mask-types`

Default: `box`

Choices:&#x20;

* `box`
* `occlusion`
* `area`
* `region`

Example: `--face-mask-types occlusion`

### Face Mask Areas

Choose the items used for the area mask.

Argument: `--face-mask-areas`

Default: `All`

Choices:

* `upper-face`
* `lower-face`
* `mouth`

Example: `--face-mask-areas mouth`

### Face Mask Regions

Choose the items used for the region mask.

Argument: `--face-mask-regions`

Default: `All`

Choices:

* `skin`
* `left-eyebrow`
* `right-eyebrow`
* `left-eye`
* `right-eye`
* `glasses`
* `nose`
* `mouth`
* `upper-lip`
* `lower-lip`

Example: `--face-mask-regions nose`

### Face Mask Blur

Specify the degree of blur applied to the box mask.

Argument: `--face-mask-blur`

Default: `0.3`

Range: `0` to `1` at `0.05`

Example: `--face-mask-blur 0.5`

### Face Mask Padding

Apply top, right, bottom and left padding to the box mask.

Argument: `--face-mask-padding`

Default: `0 0 0 0`

Example: `--face-mask-padding 10 20`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[face_masker]
face_occluder_model = xseg_2
face_parser_model = bisenet_resnet_18
face_mask_types = occlusion
face_mask_areas = mouth
face_mask_regions = nose
face_mask_blur = 0.5
face_mask_padding = 10 20
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/face-masker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
